Loading...
Searching...
No Matches
opengv::point_cloud Namespace Reference

The namespace for the point-cloud alignment methods. More...

## Classes

class | MAPointCloud
class | PointCloudAdapter
class | PointCloudAdapterBase

## Functions

transformation_t | threept_arun (const PointCloudAdapterBase &adapter)
| Compute the transformation between two frames containing point clouds, following Arun's method [13]. Using all available correspondences.
transformation_t | threept_arun (const PointCloudAdapterBase &adapter, const std::vector< int > &indices)
| Compute the transformation between two frames containing point clouds, following Arun's method [13].
transformation_t | optimize_nonlinear (PointCloudAdapterBase &adapter)
| Compute the transformation between two frames containing point clouds using nonlinear optimization. Using all available correspondences.
transformation_t | optimize_nonlinear (PointCloudAdapterBase &adapter, const std::vector< int > &indices)
| Compute the transformation between two frames containing point clouds. Using nonlinear optimization.

## Detailed Description

The namespace for the point-cloud alignment methods.

## Function Documentation

## optimize_nonlinear() [1/2]

transformation_t opengv::point_cloud::optimize_nonlinear | ( | PointCloudAdapterBase & | adapter | ) |

Compute the transformation between two frames containing point clouds using nonlinear optimization. Using all available correspondences.

Parameters

  [in] | adapter | Visitor holding world-point correspondences, plus the initial values.

Returns
  Transformation from frame 2 back to frame 1 ( , with being the position of frame 2 seen from frame 1, and being the rotation from frame 2 to frame 1).

## optimize_nonlinear() [2/2]

transformation_t opengv::point_cloud::optimize_nonlinear | ( | PointCloudAdapterBase & | adapter,
|  | const std::vector< int > & | indices )

Compute the transformation between two frames containing point clouds. Using nonlinear optimization.

Parameters

  [in] | adapter | Visitor holding world-point correspondences, plus the initial values.
  [in] | indices | Indices of the correspondences used for optimization.

Returns
  Transformation from frame 2 back to frame 1 ( , with being the position of frame 2 seen from frame 1, and being the rotation from frame 2 to frame 1).

## threept_arun() [1/2]

transformation_t opengv::point_cloud::threept_arun | ( | const PointCloudAdapterBase & | adapter | ) |

Compute the transformation between two frames containing point clouds, following Arun's method [13]. Using all available correspondences.

Parameters

  [in] | adapter | Visitor holding world-point correspondences.

Returns
  Transformation from frame 2 back to frame 1 ( , with being the position of frame 2 seen from frame 1, and being the rotation from frame 2 to frame 1).

## threept_arun() [2/2]

transformation_t opengv::point_cloud::threept_arun | ( | const PointCloudAdapterBase & | adapter,
|  | const std::vector< int > & | indices )

Compute the transformation between two frames containing point clouds, following Arun's method [13].

Parameters

  [in] | adapter | Visitor holding world-point correspondences.
  [in] | indices | Indices of the correspondences used for deriving the transformation.

Returns
  Transformation from frame 2 back to frame 1 ( , with being the position of frame 2 seen from frame 1, and being the rotation from frame 2 to frame 1).